;;; init-vscode-theme.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:

(use-package vscode-dark-plus-theme
  :pin "MELPA"
  :ensure t
  :config
  (load-theme 'vscode-dark-plus t)

  (defun current-dark-color ()
    "Simple current-dark-color for theme."
    (set-cursor-color "#2979FF")
    (set-background-color "#1C1E1F")

    (set-face-foreground 'font-lock-string-face "#FFFFFF")

    ;; highlight
    (set-face-foreground 'highlight "#F4F4F4")
    (set-face-background 'highlight "#004575")

    ;; Modeline
    (set-face-foreground 'mode-line "#FFFFFF")
    (set-face-foreground 'mode-line-inactive "#f4f4f4")
    (set-face-foreground 'mode-line-highlight "#f4f4f4")

    (set-face-background 'mode-line "#6a157e")
    (set-face-background 'mode-line-inactive "#7B1FA2")

    (set-face-background 'fringe nil)

    ;; Fix linum current-line highlight
    (defface my-linum-hl
      '((t :background "#007acc" :foreground "#FFFFFF"))
      "Face for the currently active Line number"
      :group 'linum))

  ;; Invoke color
  (current-dark-color))

(provide 'init-vscode-theme)

;; End:
;;; init-vscode-theme.el ends here
